> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nrai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List MCP servers

> List MCP servers



## OpenAPI

````yaml GET /v1/mcp-servers
openapi: 3.0.3
info:
  title: NRAI Documentation
  version: 0.0.0
servers:
  - url: https://cloud.nrai.io/api
    description: Production Server
security: []
externalDocs:
  url: https://nrai.io/docs
  description: Find more info here
paths:
  /v1/mcp-servers:
    get:
      tags:
        - mcp
      description: List MCP servers
      parameters:
        - schema:
            type: number
          in: query
          name: limit
          required: false
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            type: string
          in: query
          name: projectId
          required: true
        - schema:
            type: string
          in: query
          name: name
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        created:
                          type: string
                        updated:
                          type: string
                        name:
                          type: string
                        projectId:
                          pattern: ^[0-9a-zA-Z]{21}$
                          type: string
                        token:
                          pattern: ^[0-9a-zA-Z]{21}$
                          type: string
                        agentId:
                          pattern: ^[0-9a-zA-Z]{21}$
                          type: string
                        externalId:
                          pattern: ^[0-9a-zA-Z]{21}$
                          type: string
                        tools:
                          type: array
                          items:
                            anyOf:
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - PIECE
                                  id:
                                    type: string
                                  created:
                                    type: string
                                  updated:
                                    type: string
                                  externalId:
                                    pattern: ^[0-9a-zA-Z]{21}$
                                    type: string
                                  toolName:
                                    type: string
                                  mcpId:
                                    pattern: ^[0-9a-zA-Z]{21}$
                                    type: string
                                  pieceMetadata:
                                    type: object
                                    properties:
                                      pieceName:
                                        type: string
                                      pieceVersion:
                                        type: string
                                      actionName:
                                        type: string
                                      actionDisplayName:
                                        type: string
                                      logoUrl:
                                        type: string
                                      connectionExternalId:
                                        type: string
                                    required:
                                      - pieceName
                                      - pieceVersion
                                      - actionName
                                      - actionDisplayName
                                      - logoUrl
                                required:
                                  - type
                                  - id
                                  - created
                                  - updated
                                  - externalId
                                  - mcpId
                                  - pieceMetadata
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - FLOW
                                  id:
                                    type: string
                                  created:
                                    type: string
                                  updated:
                                    type: string
                                  externalId:
                                    pattern: ^[0-9a-zA-Z]{21}$
                                    type: string
                                  toolName:
                                    type: string
                                  mcpId:
                                    pattern: ^[0-9a-zA-Z]{21}$
                                    type: string
                                  flowId:
                                    pattern: ^[0-9a-zA-Z]{21}$
                                    type: string
                                  flow:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      created:
                                        type: string
                                      updated:
                                        type: string
                                      projectId:
                                        type: string
                                      externalId:
                                        type: string
                                      folderId:
                                        type: string
                                        nullable: true
                                      status:
                                        anyOf:
                                          - type: string
                                            enum:
                                              - ENABLED
                                          - type: string
                                            enum:
                                              - DISABLED
                                      publishedVersionId:
                                        type: string
                                        nullable: true
                                      metadata:
                                        type: object
                                        nullable: true
                                        additionalProperties: {}
                                      version:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          created:
                                            type: string
                                          updated:
                                            type: string
                                          flowId:
                                            type: string
                                          displayName:
                                            type: string
                                          trigger:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  name:
                                                    type: string
                                                  valid:
                                                    type: boolean
                                                  displayName:
                                                    type: string
                                                  nextAction: {}
                                                  type:
                                                    type: string
                                                    enum:
                                                      - PIECE_TRIGGER
                                                  settings:
                                                    type: object
                                                    properties:
                                                      sampleData:
                                                        additionalProperties: true
                                                        type: object
                                                        properties:
                                                          sampleDataFileId:
                                                            type: string
                                                          sampleDataInputFileId:
                                                            type: string
                                                          lastTestDate:
                                                            type: string
                                                      propertySettings:
                                                        type: object
                                                        additionalProperties:
                                                          type: object
                                                          properties:
                                                            type:
                                                              anyOf:
                                                                - type: string
                                                                  enum:
                                                                    - MANUAL
                                                                - type: string
                                                                  enum:
                                                                    - DYNAMIC
                                                            schema: {}
                                                          required:
                                                            - type
                                                      customLogoUrl:
                                                        type: string
                                                      pieceName:
                                                        type: string
                                                      pieceVersion:
                                                        pattern: ^([~^])?[0-9]+\.[0-9]+\.[0-9]+$
                                                        type: string
                                                      triggerName:
                                                        type: string
                                                      input:
                                                        type: object
                                                        additionalProperties: {}
                                                    required:
                                                      - propertySettings
                                                      - pieceName
                                                      - pieceVersion
                                                      - input
                                                required:
                                                  - name
                                                  - valid
                                                  - displayName
                                                  - type
                                                  - settings
                                              - type: object
                                                properties:
                                                  name:
                                                    type: string
                                                  valid:
                                                    type: boolean
                                                  displayName:
                                                    type: string
                                                  nextAction: {}
                                                  type:
                                                    type: string
                                                    enum:
                                                      - EMPTY
                                                  settings: {}
                                                required:
                                                  - name
                                                  - valid
                                                  - displayName
                                                  - type
                                                  - settings
                                          updatedBy:
                                            type: string
                                            nullable: true
                                          valid:
                                            type: boolean
                                          schemaVersion:
                                            type: string
                                            nullable: true
                                          agentIds:
                                            type: array
                                            items:
                                              type: string
                                          state:
                                            anyOf:
                                              - type: string
                                                enum:
                                                  - LOCKED
                                              - type: string
                                                enum:
                                                  - DRAFT
                                          connectionIds:
                                            type: array
                                            items:
                                              type: string
                                          backupFiles:
                                            type: object
                                            nullable: true
                                            additionalProperties:
                                              type: string
                                        required:
                                          - id
                                          - created
                                          - updated
                                          - flowId
                                          - displayName
                                          - trigger
                                          - valid
                                          - agentIds
                                          - state
                                          - connectionIds
                                      triggerSource:
                                        type: object
                                        properties:
                                          schedule:
                                            type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - CRON_EXPRESSION
                                              cronExpression:
                                                type: string
                                              timezone:
                                                type: string
                                            required:
                                              - type
                                              - cronExpression
                                              - timezone
                                            nullable: true
                                    required:
                                      - id
                                      - created
                                      - updated
                                      - projectId
                                      - externalId
                                      - status
                                      - version
                                required:
                                  - type
                                  - id
                                  - created
                                  - updated
                                  - externalId
                                  - mcpId
                                  - flowId
                                  - flow
                            discriminator:
                              propertyName: type
                      required:
                        - id
                        - created
                        - updated
                        - name
                        - projectId
                        - token
                        - externalId
                        - tools
                  next:
                    description: Cursor to the next page
                    type: string
                    nullable: true
                  previous:
                    description: Cursor to the previous page
                    type: string
                    nullable: true
                required:
                  - data
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````